Announcement

Collapse
No announcement yet.

Worx Plugin not working on Rpi

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Allright... the API I am using requires TLS encryption. Again something not fully supported in Mono 4.5. You will need 4.8 or later, and even then it requires additional steps.

    It seems it is really best to upgrade to the latest Mono, so you are fully up-to-date and avoid all errors like this. Best to follow instructions from the Mono website:

    https://www.mono-project.com/downloa...oad-lin-ubuntu

    Make sure to select the correct Linux flavor. After step 1 I suggest a "sudo apt upgrade", as you already have installed the required packages and only need to update them. Then restart HomeSeer and see if it works.

    Oh, and you might want to remove the additional libs from HomeSeer/bin/Worx again, just to be sure.
    stefxx

    Comment


    • #17
      Sorry for the lack of precision.
      I've added the libraries into the HomeSeer/bin/Worx directory.

      Comment


      • #18
        A long time later...
        I've installed a new HS3 on Rpi. I've used the last version. Then upgraded to the lastest Mono version. Then installed your plugin.
        All is working like a charm.
        So the 2 options are ok.
        Thanks for your support.

        Comment

        Unconfigured PHP Module

        Collapse

        Working...
        X